Show / Hide Table of Contents

# AutoResetUniTaskCompletionSource Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class AutoResetUniTaskCompletionSource : IUniTaskSource, IValueTaskSource, ITaskPoolNode<AutoResetUniTaskCompletionSource>, IPromise, IResolvePromise, IRejectPromise, ICancelPromise

##### Inheritance

System.Object → AutoResetUniTaskCompletionSource

##### Implements

IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
ITaskPoolNode<AutoResetUniTaskCompletionSource>
IPromise
IResolvePromise
IRejectPromise
ICancelPromise

### Members

#### Properties

Name | Description
--- | ---
NextNode |
Task |

#### Methods

Name | Description
--- | ---
Create() |
CreateCompleted(out Int16) |
CreateFromCanceled(CancellationToken, out Int16) |
CreateFromException(Exception, out Int16) |
Finalize() |
GetResult(Int16) |
GetStatus(Int16) |
OnCompleted(Action<Object>, Object, Int16) |
TrySetCanceled(CancellationToken) |
TrySetException(Exception) |
TrySetResult() |
UnsafeGetStatus() |

### Properties

#### NextNode

    public AutoResetUniTaskCompletionSource NextNode { get; set; }

##### Property Value

AutoResetUniTaskCompletionSource

#### Task

    public UniTask Task { get; }

##### Property Value

UniTask

### Methods

#### Create()

    public static AutoResetUniTaskCompletionSource Create()

##### Returns

AutoResetUniTaskCompletionSource

#### CreateCompleted(out Int16)

    public static AutoResetUniTaskCompletionSource CreateCompleted(out short token)

##### Parameters

`token` System.Int16

##### Returns

AutoResetUniTaskCompletionSource

#### CreateFromCanceled(CancellationToken, out Int16)

    public static AutoResetUniTaskCompletionSource CreateFromCanceled(CancellationToken cancellationToken, out short token)

##### Parameters

`cancellationToken` System.Threading.CancellationToken
`token` System.Int16

##### Returns

AutoResetUniTaskCompletionSource

#### CreateFromException(Exception, out Int16)

    public static AutoResetUniTaskCompletionSource CreateFromException(Exception exception, out short token)

##### Parameters

`exception` Exception
`token` System.Int16

##### Returns

AutoResetUniTaskCompletionSource

#### Finalize()

    protected void Finalize()

#### GetResult(Int16)

    public void GetResult(short token)

##### Parameters

`token` System.Int16

#### GetStatus(Int16)

    public UniTaskStatus GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### OnCompleted(Action<Object>, Object, Int16)

    public void OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` Action<System.Object>
`state` System.Object
`token` System.Int16

#### TrySetCanceled(CancellationToken)

    public bool TrySetCanceled(CancellationToken cancellationToken = default(CancellationToken))

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

System.Boolean

#### TrySetException(Exception)

    public bool TrySetException(Exception exception)

##### Parameters

`exception` Exception

##### Returns

System.Boolean

#### TrySetResult()

    public bool TrySetResult()

##### Returns

System.Boolean

#### UnsafeGetStatus()

    public UniTaskStatus UnsafeGetStatus()

##### Returns

UniTaskStatus

### Implements

IUniTaskSource
System.Threading.Tasks.Sources.IValueTaskSource
ITaskPoolNode<T>
IPromise
IResolvePromise
IRejectPromise
ICancelPromise